package com.izouma.immall.repo;

import com.izouma.immall.domain.UserAddress;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface UserAddressRepo extends JpaRepository<UserAddress, Long> {
    List<UserAddress> findAllByUserId(Long userId);

    List<UserAddress> findAllByOpenId(String openId);

    List<UserAddress> findAllByPhone(String phone);

}
